Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## turtlekit.simulations.hunt
Class HuntLauncher

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Agent
              turtlekit.kernel.Launcher
                  turtlekit.simulations.hunt.HuntLauncher

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class HuntLauncher

extends Launcher

Hunt simulation launcher

Version:
  1.1 6/12/2000
Author:
  Fabien MICHEL
See Also:
  Serialized Form

Field Summary

Fields inherited from class turtlekit.kernel.Launcher
`COMMUNITY`

Constructor Summary
`HuntLauncher()`

Method Summary
`void` | `addSimulationAgents()` Override this method is compulsory (abstract).
`double` | `getDensity()`
`int` | `getNbOfpredator()`
`int` | `getNbOfprey()`
`int` | `getPredatorVision()`
`protected void` | `initializePatchVariables()` override this method is not compulsory, but it is where you have to initialize the patch variables and their properties(evaporation, diffusion...): Once you have created a new PatchVariable object and set its properties with the methods of the class PatchVariable(setEvapCoef, setDiffuseCoef and setDefaultValue) You have to add it to the simulation using the addPatchVariable method: protected void initializePatchVariables() { PatchVariable p = new PatchVariable("flavor"); p.setDiffuseCoef(0.3153); //Optional p.setEvapCoef(0.025); //Optional p.setDefaultValue(32); //Optional addPatchVariable(a); }
`boolean` | `isWithResource()`
`void` | `setDensity(double density)`
`void` | `setNbOfpredator(int add)`
`void` | `setNbOfprey(int add)`
`void` | `setPredatorVision(int add)`
`void` | `setWithResource(boolean withResource)`

Methods inherited from class turtlekit.kernel.Launcher
`activate, addMyScheduler, addObserver, addObserver, addPatchVariable, addTurtle, addTurtle, addViewer, addViewer, addViewer, addViewer, addViewer, addViewer, end, getCellSize, getHeight, getSimulationName, getWidth, initGUI, launchPython, live, setCellSize, setCyclePause, setHeight, setSimulationName, setWidth, setWrapModeOn, stopOrResumeSimulation`

Methods inherited from class madkit.kernel.Agent
`connectAgencyToAgency, createPlace, createPlace, enableMobility, enableMobility, exitImmediatlyOnKill, getAgencyNamed, joinPlace, joinPlace, joinPlace, pause, receiveMessage, run, waitNextMessage, waitNextMessage`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, destroyGroup, disposeMyGUI, foundGroup, getAddress, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, hashCode, hideMyGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, toString, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HuntLauncher

    public HuntLauncher()

Method Detail

### setNbOfprey

    public void setNbOfprey(int add)

### getNbOfprey

    public int getNbOfprey()

### setPredatorVision

    public void setPredatorVision(int add)

### getPredatorVision

    public int getPredatorVision()

### setNbOfpredator

    public void setNbOfpredator(int add)

### getNbOfpredator

    public int getNbOfpredator()

### initializePatchVariables

    protected void initializePatchVariables()

  Description copied from class: `Launcher`
  override this method is not compulsory, but it is where you have to initialize the patch variables and their properties(evaporation, diffusion...): Once you have created a new PatchVariable object and set its properties with the methods of the class PatchVariable(setEvapCoef, setDiffuseCoef and setDefaultValue) You have to add it to the simulation using the addPatchVariable method: protected void initializePatchVariables() { PatchVariable p = new PatchVariable("flavor"); p.setDiffuseCoef(0.3153); //Optional p.setEvapCoef(0.025); //Optional p.setDefaultValue(32); //Optional addPatchVariable(a); }

  Overrides:
    `initializePatchVariables` in class `Launcher`

### addSimulationAgents

    public void addSimulationAgents()

  Description copied from class: `Launcher`
  Override this method is compulsory (abstract). It is in this method that the optional agents of the simulation (turtles, viewers and observers) have to be added. To add these agents you have to use the "add" methods of a Launcher: - addTurtle - addViewer - addObserver

  Specified by:
    `addSimulationAgents` in class `Launcher`

### getDensity

    public double getDensity()

  Returns:
    the density

### setDensity

    public void setDensity(double density)

  Parameters:
    `density` - the density to set

### isWithResource

    public final boolean isWithResource()

  Returns:
    the withResource

### setWithResource

    public final void setWithResource(boolean withResource)

  Parameters:
    `withResource` - the withResource to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.